%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             hibernate-commons-annotations
Version:          3.2.0
Release:          1%{?dist}
Summary:          Hibernate Annotations

Group:            Development/Libraries
License:          LGPLv2+
URL:              http://www.hibernate.org/

# svn export http://anonsvn.jboss.org/repos/hibernate/commons-annotations/tags/3.2.0.Final/ hibernate-commons-annotations-3.2.0.Final
# tar -zcvf hibernate-commons-annotations-3.2.0.Final.tar.gz hibernate-commons-annotations-3.2.0.Final/
Source0:          hibernate-commons-annotations-3.2.0.Final.tar.gz

BuildArch:        noarch

Requires:         java
Requires:         slf4j
Requires:         jpackage-utils

Requires(post):   jpackage-utils
Requires(postun): jpackage-utils

BuildRequires:    junit
BuildRequires:    slf4j
BuildRequires:    apache-commons-logging
BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    maven

BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-surefire-plugin

%description
Following the DRY (Don't Repeat Yourself) principle, 
Hibernate Validator let's you express your domain 
constraints once (and only once) and ensure their 
compliance at various level of your system 
automatically.

Common reflection code used in support of annotation processing.

%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%build
mvn-rpmbuild install javadoc:aggregate

%install

mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp  target/site/apidocs/ $RPM_BUILD_ROOT%{_javadocdir}/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml  \
        $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

%add_to_maven_depmap org.hibernate hibernate-commons-annotations %{version} JPP %{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*
%doc changelog.txt readme.txt

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Fri May 20 2011 Marek Goldmann <mgoldman@redhat.com> 0:3.2.0-1
- Initial release

